extends ../layouts/navbar
include ../components/successerrorbox

block content
    h1= `Feedbacks of ${quizname}` 


    +successerror(sucmsg, '')

    div#inlinepotato

    button.btn.btn-secondary(type='button' onclick='goBack()')#btnPrevQn #[i.far.fa-chevron-left] &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Back
    br
    br
    .row
        #accordion.col-12
            .card.col-4.float-left(style='padding: 0; border-radius: 15px;')
                h5.card-header
                    a#heading-one.d-block(data-toggle='collapse' data-target='#avgRatingCard' aria-expanded='true' aria-controls="avgRatingCard")
                        i#collapseShowBtn.fa.fa-chevron-down.float-right
                        |             Quiz Average Rating: #{avgRating}/5.0
                #avgRatingCard.collapse.hide(aria-labelledby='heading-one', max-height='20px;')
                    .card-body
                        canvas#avgRatingChart
            .card.col-3.float-left(style='padding: 0; border-radius: 15px;')
                h5.card-header
                    a#heading-two.d-block(data-toggle='collapse' data-target='#responseRateCard' aria-expanded='true' aria-controls='responseRateCard')
                        i#collapseShowBtn.fa.fa-chevron-down.float-right
                        |  Quiz Response Rate: #{noOfStudentsFeedbacked}/#{noOfStudentsInCourse} (#{feedbackPercent}%)
                #responseRateCard.collapse.hide(aria-labelledby='heading-two')
                    .card-body
                        canvas#responseRateChart    
    
    table#feedbackTable.table.w-100.clickable

    include ../meta/datatables
    include ../meta/momentjs

    script.
        $(document).ready(() => {
            let buttons = [
                ];
            let table = $('#feedbackTable').DataTable({
                ajax: '/survey/listfbcourses/quizzes/#{quizid}',
                dom: 'Brftilp',
                buttons: buttons,
                responsive: true,
                select: 'single',
                deferRender: true,
                columns: [
                    { title: "Name", width:'15%', data: 'username'},
                    { title: "Email", width:'25%', data: 'email'},
                    { title: "Rating", width:'20%', data: 'rating'},
                    { title: "Feedback", width:'40%', data: 'feedback'},
                ],
                columnDefs: [ {
                targets: 3,
                render: function ( data, type, row ) {
                return data.length > 50 ?
                    data.substr( 0, 50 ) +'…' :
                    data;
            }
            } ]
            });

            table.on('draw', () => MathJax.typesetPromise())

            $("body").tooltip({ selector: '[data-toggle=tooltip]', trigger: 'hover' });

            function showDismissableAlert(type, message) {
                $('#inlinepotato').append(`<div id="myalert" class="alert ${type} alert-dismissible fade show" role="alert">
                                  ${message}
                                  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                  </button>
                                </div>`);
                window.setTimeout(() => {
                    $('#myalert').alert('close');
                }, 3000);
            }

            $("body").tooltip({ selector: '[data-toggle=tooltip]', trigger: 'hover' });
            table.on('select', (e,dt,type,indexes) => {
                let rowData = table.rows( indexes ).data().toArray()[0];
                window.location.href = `/survey/listfbquizzes/${rowData.id}/details`;
            });

        });
    script.
        new Chart(document.getElementById("avgRatingChart"), {
            type: 'bar',
            data: {
            labels: ["1-star", "2-stars", "3-stars", "4-stars", "5-stars"],
            datasets: [
                {
                label: "No. of Responses",
                backgroundColor: ["#3e95cd", "#8e5ea2","#3cba9f","#e8c3b9","#1F45FC"],
                data: [#{ratingOne},#{ratingTwo},#{ratingThree},#{ratingFour},#{ratingFive}]
                }
            ]
            },
            options: {
            responsive: true,
            maintainAspectRatio: false,
            legend: { display: false },
            title: {
                display: true,
                text: 'Quiz Average Ratings'
            }
            }
        });

        new Chart(document.getElementById("responseRateChart"), {
        type: 'pie',
        data: {
        labels: ["Responded","Not Responded"],
        datasets: [{
            label: "Quiz Average Ratings",
            backgroundColor: ["#3EA055", "#99C68E"],
            data: [#{noOfStudentsFeedbacked},#{noOfStudentsYetToFeedback}]
            }]
            },
            options: {
            responsive: true,
            maintainAspectRatio: false,
            title: {
                display: true,
                text: 'Feedback Rate'
            }
            }
        });

        function goBack() {
            window.history.back();
            }
   